=== debian/changelog ===
vdr-plugin-streamdev (0.6.1+git20180514-5) unstable; urgency=medium

  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Remove Peter Siering, Thomas Günther and Thomas Schmidt from uploaders
  * Fix build with VDR 2.6.0 (Closes: #1003309)

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 19:47:13 +0100

vdr-plugin-streamdev (0.6.1+git20180514-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use the host architecture pkg-config. (Closes: #933082)

  [ Tobias Grimm ]
  * Depend on debhelper-compat (= 13)
  * Build-Depend on vdr >= 2.4.7
  * Update debian/watch to version 4

 -- Tobias Grimm <etobi@debian.org>  Wed, 15 Dec 2021 18:51:51 +0100

vdr-plugin-streamdev (0.6.1+git20180514-3) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 14:58:48 +0100

vdr-plugin-streamdev (0.6.1+git20180514-2) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Jul 2019 06:09:21 +0200

vdr-plugin-streamdev (0.6.1+git20180514-1) unstable; urgency=medium

  * New Upstream Snapshot (commit e2a9b97)
  * Dropped vdr-2.3.7.patch - fixed upstream
  * Added patch to fix potential locking issue encountered on RaspberryPi

 -- Tobias Grimm <etobi@debian.org>  Mon, 14 May 2018 19:20:43 +0200
