=== debian/control ===
Source: vdr-plugin-streamdev
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), gettext, pkg-config
Standards-Version: 4.6.0
Homepage: http://streamdev.vdr-developer.org
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev

Package: vdr-plugin-streamdev-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR Plugin to stream Live-TV to other VDR's - client part 
 This plugin for vdr lets the software stream videos into
 the network. You can interconnect several vdrs that way
 or watch those streams with special client apps like video
 lan client or mplayer. This is the client part.
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev

Package: vdr-plugin-streamdev-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR Plugin to stream Live-TV to other VDR's - server part 
 This plugin for vdr lets the software stream videos into
 the network. You can interconnect several vdrs that way
 or watch those streams with special client apps like video
 lan client or mplayer. This is the server part.
