=== debian/watch ===
version=4
http://projects.vdr-developer.org/projects/plg-streamdev/files .*/vdr-streamdev-(.*)\.tgz
