=== debian/changelog ===
vdr-plugin-streamdev (0.6.4-2) unstable; urgency=medium

  * unstable rebuild

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 05 Feb 2025 13:52:23 +0100

vdr-plugin-streamdev (0.6.4-1) experimental; urgency=medium

  * change to github repo in watch file
  * New upstream version 0.6.4
  * change build-depends on pkg-config to pkgconf
  * add myself to uploaders
  * Standards-Version 4.7.0
  * remove VCS- fields from binary package stanza

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 30 Jan 2025 10:48:06 +0100
