=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), gettext, pkg-config
-Standards-Version: 4.6.0
+Uploaders: Tobias Grimm <etobi@debian.org>,
+  Christoph Martin <martin@uni-mainz.de>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), gettext, pkgconf
+Standards-Version: 4.7.0
 Homepage: http://streamdev.vdr-developer.org
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev
@@ -17,8 +18,6 @@
  the network. You can interconnect several vdrs that way
  or watch those streams with special client apps like video
  lan client or mplayer. This is the client part.
-Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev.git
-Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev
 
 Package: vdr-plugin-streamdev-server
 Architecture: any
