=== debian/watch ===
version=4
opts="mode=git, compression=gzip" \
 https://github.com/vdr-projects/vdr-plugin-streamdev.git \
 refs/tags/[Vv]?(\d[\d\.]+) debian uupdate
